#!/bin/bash

export SST_PID_FILE=/tmp/sstpos.pid
export SST_FLAG_FILE=/tmp/sstpos.flag
EXITCODE_FILE=/opt/sst-sco/data/exitcode

trap "[[ -f '$SST_FLAG_FILE' ]] && stopPos" EXIT

stopPos() {
    sudo rm "$SST_FLAG_FILE"
    if [[ -f "$SST_PID_FILE" ]]; then
        sudo pkill -F "$SST_PID_FILE"

        for _i in $(seq 10); do
            if [[ ! -f "$SST_PID_FILE" ]] || ! sudo pkill -0 -F "$SST_PID_FILE"; then
                break;
            fi

            sleep 1
        done

        [[ -f "$SST_PID_FILE" ]] && sudo pkill -9 -F "$SST_PID_FILE"
    fi
}

runPos() {
    touch "$SST_FLAG_FILE"
    while [[ -f "$SST_FLAG_FILE" ]]; do
        /linuxcash/cash/bin/artix-sst-sco &
        echo $! > "$SST_PID_FILE"
        wait $!;
        rm "$SST_PID_FILE"
        [[ -f "$SST_FLAG_FILE" ]] && sleep 1
    done
}

[[ -f "$SST_PID_FILE" ]] && sudo pkill -9 -F "$SST_PID_FILE"
sudo -E bash -c "$(declare -f runPos); runPos" &
if [[ "\ton\ttrue\t1\tenable\t" =~ "\t$(sudo /linuxcash/cash/bin/currentsettings --sco -s sco:scong)\t" ]]; then
	export QT_IM_MODULE=qtvirtualkeyboard
fi
sudo -E /opt/sst-sco/bin/sst-sco
EXITCODE=0
[[ -f "$EXITCODE_FILE" ]] && EXITCODE=`cat "$EXITCODE_FILE"`
case $EXITCODE in
    1)
        echo '2' | sudo tee /tmp/cashstatuscode
        ;;
    2)
        echo '1' | sudo tee /tmp/cashstatuscode
        ;;
    *)
        echo '3' | sudo tee /tmp/cashstatuscode
        ;;
esac
